Bug 458377 - Cheese crashes immediately after startup
Cheese crashes immediately after startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cheese (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 17:07 EDT by Pavel Šefránek
Modified: 2008-09-07 06:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-07 06:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cheese stacktrace (4.78 KB, text/plain)
2008-08-07 17:07 EDT, Pavel Šefránek
no flags Details

  None (edit)
Description Pavel Šefránek 2008-08-07 17:07:00 EDT
Description of problem:
Cheese crashes immediately after startup with webcam connected

Version-Release number of selected component (if applicable):
cheese-2.23.6-1.fc10.i386
kernel: 2.6.27-0.237.rc2.fc10.i686
webcam: usb 2-2: New USB device found, idVendor=093a, idProduct=2468
usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 2-2: Product: CIF Single Chip     
usb 2-2: Manufacturer: Pixart Imaging Inc. 
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0004


How reproducible:
Every time with webcam connected

Steps to Reproduce:
1. Connect the webcam
2. Run cheese
3.
  
Actual results:
It crashes

Expected results:
It may work

Additional info:
dmesg output: cheese[5231]: segfault at c ip 080540f1 sp b71380f4 error 4 in cheese[8048000+1e000]

Stacktrace provided via attachment
Comment 1 Pavel Šefránek 2008-08-07 17:07:49 EDT
Created attachment 313749 [details]
Cheese stacktrace
Comment 2 Matthias Clasen 2008-08-23 19:21:26 EDT
Is this still happening for you with the cheese 2.23.90 in rawhide ?
Comment 3 Hans de Goede 2008-09-03 03:31:02 EDT
I have such a cam and have just tested cheese 2.23.90 with it and I have no issues. As such I believe this bug can be closed.

This is with the latest gspca driver which is being merged into 2.6.27 .
Comment 4 Hans de Goede 2008-09-07 06:23:50 EDT
I strongly believe this is fixed in current rawhide (as I've seen the same crash myself and fixed it), hence I'm closing this bug. If it is not please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.